* automake.in (generate_makefile): Do not output Makefile.in on
[automake.git] / tests / werror2.test
blobecee4d85648a1b8f454cf3cddbbb57317e9dcaba
1 #! /bin/sh
2 # Copyright (C) 2004 Free Software Foundation, Inc.
4 # This file is part of GNU Automake.
6 # GNU Automake is free software; you can redistribute it and/or modify
7 # it under the terms of the GNU General Public License as published by
8 # the Free Software Foundation; either version 2, or (at your option)
9 # any later version.
11 # GNU Automake is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY; without even the implied warranty of
13 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
14 # GNU General Public License for more details.
16 # You should have received a copy of the GNU General Public License
17 # along with Automake; see the file COPYING. If not, write to
18 # the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
19 # Boston, MA 02111-1307, USA.
21 # Make sure that Makefile.in is not overwritten on error. Otherwise
22 # although the rebuilding rules would fail on error, they would
23 # succeed if make is run a second time immediately afterwards.
24 # Report from Harlan Stenn.
26 required=GNUmake
27 . ./defs || exit 1
29 set -e
31 echo AC_OUTPUT>>configure.in
33 : > Makefile.am
35 $ACLOCAL
36 $AUTOCONF
37 $AUTOMAKE
39 ./configure
40 $MAKE
42 cat >Makefile.am <<END
43 AUTOMAKE_OPTIONS = -Werror
44 INCLUDES = -Ifoo
45 foo_SOURCES = unused
46 END
48 $MAKE && exit 1
50 $MAKE && exit 1